LotusStyleManagerInternal::CellStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::CellStyle Struct Reference

small struct used to defined cell style More...

## Public Member Functions
| CellStyle ()
| constructor More...

## Public Attributes
int | m_borders
| the borders More...
int | m_bordersId [4]
| the border line id More...
int | m_colorsId [2]
| the color id : surface, shadow ? More...
int | m_fontId
| the font id More...
int | m_formatId
| the format id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellStyle const &cell)
| operator<< More...

## Detailed Description

small struct used to defined cell style

## Constructor & Destructor Documentation

LotusStyleManagerInternal::CellStyle::CellStyle | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellStyle const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

int LotusStyleManagerInternal::CellStyle::m_borders

the borders

Referenced by LotusStyleManager::readCellStyle(), and LotusStyleManager::updateCellStyle().

int LotusStyleManagerInternal::CellStyle::m_bordersId[4]

the border line id

Referenced by CellStyle(), and LotusStyleManager::readCellStyle().

int LotusStyleManagerInternal::CellStyle::m_colorsId[2]

the color id : surface, shadow ?

Referenced by CellStyle(), LotusStyleManager::readCellStyle(), and LotusStyleManager::updateCellStyle().

std::string LotusStyleManagerInternal::CellStyle::m_extra

extra data

Referenced by LotusStyleManager::readCellStyle().

int LotusStyleManagerInternal::CellStyle::m_fontId

the font id

Referenced by LotusStyleManager::readCellStyle(), and LotusStyleManager::updateCellStyle().

int LotusStyleManagerInternal::CellStyle::m_formatId

the format id

Referenced by LotusStyleManager::readCellStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp